package com.zoo;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@SpringBootApplication
@MapperScan("com.zoo.mapper")
//会扫描@WebFilter
@ServletComponentScan
//开启事务管理
@EnableTransactionManagement
public class ZooSystemApplication {

    public static void main(String[] args) {
        SpringApplication.run(ZooSystemApplication.class, args);
    }

}
