package com.zoo.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author DJ
 * @since 2024-05-20
 */
public class Breedingplan implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 饲养计划id
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 饲养计划名称
     */
    private String name;

    /**
     * 种类
     */
    private String species;

    /**
     * 饲养动物性别
     */
    private String sex;

    /**
     * 动物生长阶段
     */
    private String phase;

    /**
     * 状态 （0 正常 1 异常）
     */
    private Integer state;

    /**
     * 执行计划饲养员id
     */
    private Integer roleid;

    /**
     * 饲养员计划描述
     */
    private String describe1;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public String getSpecies() {
        return species;
    }

    public void setSpecies(String species) {
        this.species = species;
    }
    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }
    public String getPhase() {
        return phase;
    }

    public void setPhase(String phase) {
        this.phase = phase;
    }
    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }
    public Integer getRoleid() {
        return roleid;
    }

    public void setRoleid(Integer roleid) {
        this.roleid = roleid;
    }
    public String getDescribe1() {
        return describe1;
    }

    public void setDescribe1(String describe) {
        this.describe1 = describe;
    }

    @Override
    public String toString() {
        return "Breedingplan{" +
            "id=" + id +
            ", name=" + name +
            ", species=" + species +
            ", sex=" + sex +
            ", phase=" + phase +
            ", state=" + state +
            ", roleid=" + roleid +
            ", describe=" + describe1 +
        "}";
    }
}
